import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { DashboardComponent } from './dashboard.component';
import { SongListModule } from './song-list/song-list.module';
import { SongFormModule } from './song-form/song-form.module';
import { BannerModule } from './banner/banner.module';
import { UIModule } from '../ui/ui.module';

@NgModule({
  imports: [
    CommonModule,
    UIModule,
    SongListModule,
    SongFormModule,
    BannerModule
  ],
  declarations: [DashboardComponent],
  exports: [DashboardComponent],
})
export class DashboardModule { }
