import { Component, OnInit } from '@angular/core';
import { SongStore } from '../../store/song.store';

@Component({
  selector: 'app-song-form',
  template: `
    <form #form (submit)="form.reset()">
      <div class="form-group">
        <label for="artist">Artista</label>
        <input id="title" class="form-control" type="text" placeholder="Artista" #artist>
      </div>
      <div class="form-group">
        <label for="title">Título</label>
        <input id="title" class="form-control" type="text" placeholder="Título" #title>
      </div>
      <div class="form-group">
        <button type="submit" class="btn btn-primary" (click)="onAddClick(artist, title)">Adicionar</button>
      </div>
    </form>
  `
})

export class SongFormComponent implements OnInit {

  constructor(private songStore: SongStore) { }

  ngOnInit() { }

  onAddClick(artist, title) {
    this.songStore.addSong({ artist: artist.value, title: title.value });
  }
}
