import { Component } from '@angular/core';

@Component({
  selector: 'app-dashboard',
  template: `
    <div class="container">
      <app-banner title="Meu App de Músicas!"></app-banner>
      <div class="row">
        <div class="col-4">
          <app-card>
            <app-song-form></app-song-form>
          </app-card>
        </div>
        <div class="col-8">
          <app-card>
            <app-song-list></app-song-list>
          </app-card>
        </div>
      </div>
    </div>
  `,
})
export class DashboardComponent { }
